if [ "$1" = "" ]; then
    read
fi
if [ "$2" = "" ]; then
    read
fi
if [ ! -f "$1" ]; then
    read
fi
echo "Running validator"
wine files/towin.exe "$1" | wine files/percent_validator.exe
if [ "$?" -ne "0" ]; then
    read
fi
cp $1 percent.in
echo "Running solution percent.cpp"
wine solutions/percent.exe
if [ "$?" -ne "0" ]; then
    echo "Solution returned non-zero exit code"
    read
fi
rm -f percent.in
if [ ! -f "percent.out" ]; then
    echo "Solution didn't produced output [percent.out]"
    read
fi
mv "percent.out" "$2"
echo "Running checker"
wine check.exe $1 $2 $2
if [ "$?" -ne "0" ]; then
    echo "Checker returned non-zero exit code"
    read
fi
